package com.yeejoin.amos.fas.business.dao.repository;

import com.yeejoin.amos.fas.business.vo.PlanClassifyTreeVo;
import com.yeejoin.amos.fas.dao.entity.PlanClassifyTree;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface IPlanClassifyTreeDao extends BaseDao<PlanClassifyTree, Long> {


    @Query(value = "select * from c_plan_classify_tree  where parent_id = ?1",nativeQuery = true)
    List<PlanClassifyTree> findByParentId(Long parentId);

    @Query(value = "select * from c_plan_classify_tree",nativeQuery = true)
    List<PlanClassifyTree> getAll();
}
